Skip to main content
GET
Listar transacoes
Returns a paginated list of transactions for the authenticated merchant.

Authorizations

Authorization
string
header
required

Token JWT obtido via /v1/auth/token

Query Parameters

page
integer
default:1

Numero da pagina

Example:

1

pageSize
integer
default:20

Itens por pagina (max: 100)

Example:

20

status
enum<string>

Filtrar por status

Available options:
Pending,
Completed,
Expired,
Failed,
Refunded
Example:

"Completed"

method
enum<string>

Filtrar por metodo de pagamento

Available options:
Pix,
CreditCard,
Boleto
Example:

"Pix"

externalId
string

Buscar por ID externo

Example:

"pedido_12345"

customerId
string<uuid>

Filtrar por ID do cliente

Example:

"550e8400-e29b-41d4-a716-446655440000"

startDate
string<date-time>

Data inicial (ISO 8601)

Example:

"2025-01-01T00:00:00Z"

endDate
string<date-time>

Data final (ISO 8601)

Example:

"2025-01-31T23:59:59Z"

Response

Lista de transacoes

data
object | null
message
string | null
error
object | null